package displayTimetables;

import java.io.*;
import javax.swing.*;

public class Main {

	public static void main(String[] args) {

		//String InputFile = args[0];
		//String InputFile = "Z:\\MSc\\CS5001 Project\\prototype2\\timetable.csv";
		String InputFile = "/home/ahernp/documents/MSc/CS5001 Project/prototype2/timetable.csv";
        int MAXNRITEMS = 50;
        int NRDAYSINWEEK = 5;
        int NRHOURSINDAY = 9;

	    try {
	        BufferedReader in = new BufferedReader(new FileReader(InputFile));
	        String nextLine;
	        String[] nextItems = new String[MAXNRITEMS];
	        
	        String currTimetable = " ";
	        int nrTimetables = 0;
	        
	        String[] timetableNames = new String[MAXNRITEMS];
	        String[][] timeSlotNames = new String[MAXNRITEMS][NRDAYSINWEEK*NRHOURSINDAY];
	        
	        TimetableLayout timetableLayout[] = new TimetableLayout[MAXNRITEMS];
	        
	        nextLine = in.readLine(); //Skip column names
	        if ((nextLine = in.readLine()) != null) { //first real data
	        	nextLine = nextLine.replace("\"", ""); //remove double quotes
	    		nextItems = nextLine.split(","); //split on comma delimiters
	        	for (int i = 0; i < timeSlotNames[nrTimetables].length; i++) {
					timeSlotNames[nrTimetables][i] = " ";//Blank out all slots
				}
				timetableNames[nrTimetables] = nextItems[0];
				nextItems[4] = nextItems[4].replace(" ", "\n"); //replace space with newline
				timeSlotNames[nrTimetables][Integer.parseInt(nextItems[1])] = nextItems[4];
				currTimetable = nextItems[0];
	        }
			
	        while ((nextLine = in.readLine()) != null) { //Read in timetables
	        	nextLine = nextLine.replace("\"", ""); //reove double quotes
	    		nextItems = nextLine.split(","); //split on comma delimiters
	    		
	    		if (!nextItems[0].equals(currTimetable)) {
    				nrTimetables++;
	    			for (int i = 0; i < timeSlotNames[nrTimetables].length; i++) {
	    				timeSlotNames[nrTimetables][i] = " ";//Blank out all slots
	    			}
	    			timetableNames[nrTimetables] = nextItems[0];
	    			currTimetable = nextItems[0];
		        }
				nextItems[4] = nextItems[4].replace(" ", "\n"); //replace space with newline
    			timeSlotNames[nrTimetables][Integer.parseInt(nextItems[1])] = nextItems[4];
	        }
	        in.close();
	        
	        for (int i = 0; i <= nrTimetables; i++) { //Display timetables
	        	timetableLayout[i] = new TimetableLayout(timetableNames[i], timeSlotNames[i]);
	        	timetableLayout[i].setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				timetableLayout[i].setSize( 600, 600 ); // set frame size
				timetableLayout[i].setVisible( true ); // display frame
	        }
	    
	    } catch (IOException e) {} // end catch
	}
}
